<?php

declare(strict_types=1);

namespace KupShop\OrderingBundle\Exception;

use KupShop\KupShopBundle\Util\Logging\CustomDataExceptionInterface;

class AttachmentException extends \Exception implements CustomDataExceptionInterface
{
    public function __construct(
        string $message = '',
        int $code = 0,
        ?\Throwable $previous = null,
        private readonly array $data = [],
    ) {
        parent::__construct($message, $code, $previous);
    }

    public function getData(): array
    {
        return $this->data;
    }
}
